public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/oauth2/
Date: Sun, 24 Nov 2024 13:56:02 +0000 (UTC)	[thread overview]
Message-ID: <1732456552.4ebacc86158fcd6c0007511a073a16f209253ff0.graaff@gentoo> (raw)

commit:     4ebacc86158fcd6c0007511a073a16f209253ff0
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 24 13:54:16 2024 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Nov 24 13:55:52 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ebacc86

dev-ruby/oauth2: add 2.0.9

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/oauth2/Manifest            |  1 +
 dev-ruby/oauth2/oauth2-2.0.9.ebuild | 79 +++++++++++++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/dev-ruby/oauth2/Manifest b/dev-ruby/oauth2/Manifest
index 0226b5624afc..68203bd5a753 100644
--- a/dev-ruby/oauth2/Manifest
+++ b/dev-ruby/oauth2/Manifest
@@ -1 +1,2 @@
 DIST oauth2-1.4.11.tar.bz2 65622 BLAKE2B 9a09e69eb2389289d5b048388dd52dd6edcf289c4d7262ead05cca7dd27b261b6f432e023ac3c34aa77d6fa33bca5d870726b96cf5bf85eeec3561e9b53f9501 SHA512 12a9133cd5813eed00c2a22995630a7fdb611b0d76b06eeb8c938fd826831ea37556822246f21a739ba427c74135e6c2046edc1fb008725c55f3b1000ab5a945
+DIST oauth2-2.0.9.tar.bz2 86459 BLAKE2B ba5623cf81824468489d68a4a06d1677ae05931e92471ea5c536292e5f688f4208915552a1cced22b66906149fe5c12a6da4ab6cc4a724ad3fce721b828a4f1e SHA512 d5d80bb3f34daf63d1723791d158abbaa53fbb9a1d85401267079762066c4fb031ef7ab7d259cdb7b351024ff5a35a22a55080dadc44d52dd32515df1ebfbce6

diff --git a/dev-ruby/oauth2/oauth2-2.0.9.ebuild b/dev-ruby/oauth2/oauth2-2.0.9.ebuild
new file mode 100644
index 000000000000..f6dad2a18743
--- /dev/null
+++ b/dev-ruby/oauth2/oauth2-2.0.9.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_TASK_TEST="none"
+
+RUBY_FAKEGEM_DOCDIR="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="oauth2.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Wrapper for the OAuth 2.0 protocol with a similar style to the OAuth gem"
+HOMEPAGE="https://gitlab.com/oauth-xx/oauth2"
+SRC_URI="https://gitlab.com/oauth-xx/oauth2/-/archive/v${PV}/oauth2-${PV}.tar.bz2"
+RUBY_S="oauth2-v${PV}-*"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="test"
+
+ruby_add_rdepend "
+	|| ( dev-ruby/faraday:2 dev-ruby/faraday:1 )
+	dev-ruby/jwt:2
+	>=dev-ruby/multi_xml-0.5:0
+	>=dev-ruby/rack-1.2:* <dev-ruby/rack-4:*
+	dev-ruby/snaky_hash:1
+	>=dev-ruby/version_gem-1.1:1
+"
+ruby_add_bdepend "test? (
+	>=dev-ruby/addressable-2.3
+	>=dev-ruby/backports-3
+	>=dev-ruby/rexml-3.2:3
+	dev-ruby/rspec:3
+	dev-ruby/rspec-pending_for
+	dev-ruby/rspec-stubbed_env
+)"
+
+all_ruby_prepare() {
+	sed \
+		-e '/silent/I s:^:#:' \
+		-e '/require.*oauth2/arequire "oauth2/version"' \
+		-i spec/spec_helper.rb || die
+
+	sed -i -e '/yardstick/,/^end/ s:^:#:' \
+		-e '/bundler/I s:^:#:' Rakefile || die
+
+	# Avoid spec that is too fragile in relation to ENV
+	sed -i -e '/outputs to $stdout when OAUTH_DEBUG=true/a skip "fragile ENV stubbing"' spec/oauth2/client_spec.rb || die
+
+	# Avoid specs depending on unpackaged silent_stream gem
+	sed -e '/with warning for \(no\|too many\) token/ s/context/xcontext/' \
+		-e '/with keys in a different order to the lookup/ s/context/xcontext/' \
+		-i spec/oauth2/access_token_spec.rb || die
+	sed	-e '/when OAUTH_DEBUG=\(false\|true\)/ s/context/xcontext/' \
+		-e '/with extract_access_token option/ s/describe/xdescribe/' \
+		-i spec/oauth2/client_spec.rb || die
+
+	# Avoid specs failing due to differences in errors in newer versions
+	# of dependencies.
+	sed -e '/when parse: :xml but response is JSON/ s/context/xcontext/' \
+		-i spec/oauth2/client_spec.rb || die
+	sed -e '/with bad encoding params/ s/context/xcontext/' \
+		-i spec/oauth2/strategy/assertion_spec.rb || die
+
+	sed -e 's/git ls-files -z/find * -print0/' \
+		-e "s:_relative ': './:" \
+		-i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+	CI=true ${RUBY} -S rspec-3 --format progress spec || die
+}


             reply	other threads:[~2024-11-24 13:56 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-11-24 13:56 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-04  5:46 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/oauth2/ Hans de Graaff
2024-11-29 14:30 Arthur Zamarin
2023-07-11  7:47 Hans de Graaff
2023-05-10  7:07 Hans de Graaff
2023-04-07  7:52 Hans de Graaff
2023-01-10  6:40 Hans de Graaff
2022-12-05 19:54 Arthur Zamarin
2022-07-29  4:48 Hans de Graaff
2022-07-20 17:01 Sam James
2022-07-20 17:01 Sam James
2022-07-20  5:38 Hans de Graaff
2022-06-25  6:22 Hans de Graaff
2022-05-08  7:28 Hans de Graaff
2021-03-20  7:09 Hans de Graaff
2020-09-06  6:48 Hans de Graaff
2020-09-06  6:48 Hans de Graaff
2020-07-20  1:51 Sam James
2020-07-11 17:08 Sam James
2020-07-05  8:40 Sergei Trofimovich
2020-05-07  4:32 Hans de Graaff
2020-05-07  4:32 Hans de Graaff
2020-02-16  7:30 Hans de Graaff
2020-02-02  6:32 Hans de Graaff
2020-01-11 16:12 Hans de Graaff
2019-05-13 18:39 Hans de Graaff
2018-12-04  5:41 Hans de Graaff
2018-10-21 10:30 Hans de Graaff
2018-10-14  6:01 Hans de Graaff
2018-07-31  4:53 Hans de Graaff
2018-07-30 20:59 Hans de Graaff
2018-04-10  6:18 Hans de Graaff
2018-03-25 19:45 Sergei Trofimovich
2018-02-07  6:30 Hans de Graaff
2017-08-26  8:27 Hans de Graaff
2017-08-26  8:27 Hans de Graaff
2017-06-10  5:48 Hans de Graaff
2017-03-04  7:26 Hans de Graaff
2016-12-28  6:52 Hans de Graaff
2016-12-28  6:52 Hans de Graaff
2016-11-08 23:44 Manuel Rüger
2016-07-05  4:14 Hans de Graaff
2016-03-06 20:00 Manuel Rüger
2016-02-08  6:41 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1732456552.4ebacc86158fcd6c0007511a073a16f209253ff0.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox